Bug 68655 - kernel panic, unable to mount root from second cciss controller
kernel panic, unable to mount root from second cciss controller
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 67413 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-11 23:52 EDT by Mike McLean
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2002-07-11 23:52:20 EDT
* This bug applies to RH7.2 and 7.3, as well as recent betas.

If the kernel is passed 'root=/dev/cciss/c1d0p2' (i.e. root partition is on a
drive attached to the *second* cciss controller) then the kernel will be unable
to mount the root partition and will subsequently panic when it tries to call init.

Whereas if the root partition is from the first cciss controller the analogous
parameter 'root=/dev/cciss/c0d0p2' works just fine.

The recent public beta (Limbo beta 1) gets around this issue by using partition
labels (i.e. 'root=LABEL=/').  This works, but if you change the root= parameter
to the device name the same problem appears.
Comment 1 Mike McLean 2002-07-19 10:44:35 EDT
*** Bug 67413 has been marked as a duplicate of this bug. ***
Comment 2 Bugzilla owner 2004-09-30 11:39:45 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.